<?php
require_once('../include/dbconn.php');

if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['id'])) {
    $id = trim($_GET['id']);

    // Perform additional validation for other fields

    $query = "DELETE FROM  students WHERE id = ?";
    $stmt = $conn->prepare($query);

    $stmt->bind_param('i', $id);

    if ($stmt->execute()) {
        $_SESSION['success_message'] = "Record deleted successfully!";
        header("Location: ../index.php"); // Redirect with success message
        exit;
    } else {
        $_SESSION['error_message'] = "Error while deleting record.";
        echo "Error";
    }
}
